#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n,m;
    cin>>n>>m;
    int q;
    for(int i=0;i<n;i++)
    {
        cin>>q>>q;
    }
    for(int i=0;i<m;i++)
    {
        cin>>q>>q;
    }
    cout<<0<<endl<<0;
    return 0;
}